curl -X GET https://api.swervpay.co/api/v1/business \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.business.get();
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->business()->get();
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
resp, err := client.Business.Get(ctx)
if err != nil {
log.Fatal("error", err.Error())
return
}
}
{
"activity_status": "<string>",
"address": "<string>",
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"id": "<string>",
"logo": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}Business
Get Business
Get business
GET
/
business
curl -X GET https://api.swervpay.co/api/v1/business \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.business.get();
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->business()->get();
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
resp, err := client.Business.Get(ctx)
if err != nil {
log.Fatal("error", err.Error())
return
}
}
{
"activity_status": "<string>",
"address": "<string>",
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"id": "<string>",
"logo": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}curl -X GET https://api.swervpay.co/api/v1/business \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.business.get();
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$client->business()->get();
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
resp, err := client.Business.Get(ctx)
if err != nil {
log.Fatal("error", err.Error())
return
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I